# TODO: shared lib calls exit

%define rel	9

%define major	0
%define libname	%mklibname %{name}_ %{major}
%define devname	%mklibname %{name} -d

Name:           iec16022
Version:        0.2.4
Release:        %mkrel %{rel}
Summary:        Generate ISO/IEC 16022 2D barcodes
Group:          Graphics/Utilities
License:        GPLv2+
URL:            http://www.datenfreihafen.org/projects/iec16022.html
Source0:        http://www.datenfreihafen.org/~stefan/iec16022/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-test-suite-fix.patch
BuildRequires:  popt-devel
BuildRequires:	zlib-devel

%description
iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also
known as Data Matrix.  These barcodes are defined in the ISO/IEC 16022
standard.

%package -n %{libname}
Summary:	ISO/IEC 16022 libraries
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{devname}
Summary:	ISO/IEC 16022 development files
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description  -n %{devname}
Development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
rm -f %{buildroot}%{_libdir}/libiec16022.la

%check
export LD_LIBRARY_PATH=%{buildroot}%{_libdir}
%make -C test check

%files
%{_bindir}/iec16022
%{_mandir}/man1/iec16022.1*

%files -n %{libname}
%doc AUTHORS ChangeLog README TODO
%{_libdir}/libiec16022.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/iec16022/
%{_libdir}/libiec16022.so
%{_libdir}/pkgconfig/libiec16022.pc


%changelog
* Tue Feb 02 2016 umeabot <umeabot> 0.2.4-9.mga6
+ Revision: 932766
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-8.mga5
+ Revision: 745729
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-7.mga5
+ Revision: 680466
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.4-6.mga4
+ Revision: 520960
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 fwang <fwang> 0.2.4-5.mga3
+ Revision: 388174
- add back patch0
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.2.4-4.mga1
+ Revision: 76159
- rebuild for bug #497

* Thu Mar 17 2011 wally <wally> 0.2.4-3.mga1
+ Revision: 73304
- fix requires and provides

* Thu Mar 17 2011 wally <wally> 0.2.4-2.mga1
+ Revision: 73285
- fix group tag

* Thu Mar 17 2011 wally <wally> 0.2.4-1.mga1
+ Revision: 73265
- imported package iec16022

